<?php
// $Id: crossclone.rules.inc,v 1.1.2.3 2011/01/15 14:44:59 fabsor Exp $

/**
 * @file
 * This file contains rules integration for this module.
 */

/**
 * Implementation of hook_rules_action_info().
 */
function crossclone_rules_action_info() {
  return array(
    'crossclone_node_action' => array(
      'label' => t('Cross clone node'),
      'module' => 'Node',
      'arguments' => array(
        'node' => array(
          'type' => 'node',
          'label' => t('Content'),
        ),
      ),
    ),
  );
}

/**
 * Action callback.
 */
function crossclone_node_action($original_node, $settings) {
  // Clone the original node and save it.
  crossclone_node($original_node, $settings, CROSSCLONE_SAVE);
  // We return the original node not touched.
  return array('node' => $original_node);
}

/**
 * Form callback.
 */
function crossclone_node_action_form($settings, &$form) {
  $form['settings']['type'] = array(
    '#type' => 'select',
    '#title' => t('New node type'),
    '#description' => t('Choose which node type the clone shall have.'),
    '#options' => node_get_types('names'),
    '#default_value' => $settings['type'],
  );
  $form['settings']['clone'] = array(
    '#type' => 'select',
    '#title' => t('Clone settings'),
    '#description' => t('Choose how to clone the original node.'),
    '#options' => crossclone_get_clone_options(),
    '#default_value' => !empty($settings['clone']) ? $settings['clone'] : CROSSCLONE_CLONE_SIMILAR,
  );
  $form['settings']['couple'] = array(
    '#type' => 'select',
    '#title' => t('Coupling settings'),
    '#description' => t('Choose how the original node should couple to the clone.'),
    '#options' => crossclone_get_couple_options(),
    '#default_value' => !empty($settings['couple']) ? $settings['couple'] : CROSSCLONE_COUPLE_SIMILAR,
  );
  $form['settings']['delete'] = array(
    '#type' => 'select',
    '#title' => t('Delete settings'),
    '#description' => t('Choose how the original node should behave when it gets deleted.'),
    '#options' => crossclone_get_delete_options(),
    '#default_value' => !empty($settings['delete']) ? $settings['delete'] : CROSSCLONE_DELETE_DOWNSTREAM,
  );
}
