<?php
// $Id: dynamic_formatters_plugin_style_rows.inc,v 1.1.2.2 2011/01/22 20:11:54 dixon Exp $

class dynamic_formatters_plugin_style_rows extends views_plugin_style {
  /**
   * Define default options.
   */
  function option_definition() {
    $options = parent::option_definition();
    $options['region_key'] = '';
    $options['variant_key'] = '';
    $options['preset_name'] = '';
    $options['preset_field'] = '';
    $options['parent_field'] = '';

    return $options;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $argument_options = $preset_options = $field_options = $parent_options = array('' => '- None -');

    // Get all arguments.
    $handlers = $this->display->handler->get_handlers('argument');
    $i = -1;
    foreach ($handlers as $handler) {
      $argument_options[++$i] = $handler->ui_name();
    }
    // Get all presets.
    $presets = $presets = dynamic_formatters_presets_load_all();
    foreach ($presets as $preset_name => $preset) {
      $preset_options[$preset_name] = $preset->title;
    }
    // Get all fields.
    $handlers = $this->display->handler->get_handlers('field');
    foreach ($handlers as $field_id => $handler) {
      $field_title = $handler->label() ? $handler->label() : $handler->ui_name();
      $parent_options[$field_id] = $field_title;
      if ($handler->content_field['type'] == 'dynamic_formatters_preset') {
        $field_options[$field_id] = $field_title;
      }
    }

    $form['region_key'] = array(
      '#type' => 'select',
      '#title' => t('Region key'),
      '#description' => t('Select which argument that will provide the region key to use.'),
      '#options' => $argument_options,
      '#default_value' => $this->options['region_key'],
    );
    $form['variant_key'] = array(
      '#type' => 'select',
      '#title' => t('Variant key'),
      '#description' => t('Select which argument that will provide the variant key to use.'),
      '#options' => $argument_options,
      '#default_value' => $this->options['variant_key'],
    );
    $form['preset_name'] = array(
      '#type' => 'select',
      '#title' => t('Preset'),
      '#description' => t('Select which preset to provide for this view.'),
      '#options' => $preset_options,
      '#default_value' => $this->options['preset_name'],
    );
    $form['preset_field'] = array(
      '#type' => 'select',
      '#title' => t('Preset reference field'),
      '#description' => t('Select which field that will provide the preset for each row.'),
      '#options' => $field_options,
      '#default_value' => $this->options['preset_field'],
      '#process' => array('views_process_dependency'),
      '#dependency' => array(
        'edit-style-options-preset-name' => array(''),
      ),
    );
    $form['parent_field'] = array(
      '#type' => 'select',
      '#title' => t('Parent reference field'),
      '#description' => t('Select which field that will decide what row to inherit the preset from.'),
      '#options' => $parent_options,
      '#default_value' => $this->options['parent_field'],
      '#process' => array('views_process_dependency'),
      '#dependency' => array(
        'edit-style-options-preset-name' => array(''),
      ),
    );
  }

  /**
   * Validate the options form.
   */
  function options_validate(&$form, &$form_state) {
    parent::options_validate($form, $form_state);
  }
}
