<?php

/**
 * Implementation of hook_content_default_fields().
 */
function ns_article_content_default_fields() {
  $fields = array();

  // Exported field: field_ns_article_body
  $fields['ns_article-field_ns_article_body'] = array(
    'field_name' => 'field_ns_article_body',
    'type_name' => 'ns_article',
    'display_settings' => array(
      'weight' => '-1',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '5' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'aside' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '1',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '10',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '2',
          '_error_element' => 'default_value_widget][field_ns_article_body][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Body',
      'weight' => 0,
      'description' => 'The article main body text.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_ns_article_byline
  $fields['ns_article-field_ns_article_byline'] = array(
    'field_name' => 'field_ns_article_byline',
    'type_name' => 'ns_article',
    'display_settings' => array(
      'weight' => '2',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      'full' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      '5' => array(
        'format' => 'plain',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'aside' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_contributor' => 'ns_contributor',
      'ns_article' => 0,
      'ns_blog' => 0,
      'ns_blog_post' => 0,
      'ns_fact' => 0,
      'ns_image' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_article_byline][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Byline',
      'weight' => '6',
      'description' => 'The contributors to this article. By default, all contributors are listed with name and image below the article.',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_ns_article_image
  $fields['ns_article-field_ns_article_image'] = array(
    'field_name' => 'field_ns_article_image',
    'type_name' => 'ns_article',
    'display_settings' => array(
      'weight' => '1',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      'full' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      '5' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'aside' => array(
        'format' => 'hidden',
        'exclude' => 1,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_image' => 'ns_image',
      'ns_article' => 0,
      'ns_blog' => 0,
      'ns_blog_post' => 0,
      'ns_contributor' => 0,
      'ns_fact' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_article_image][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Images',
      'weight' => '1',
      'description' => 'If more than one image is added to the article, they will be displayed as a slideshow rather than a single static image.',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_ns_article_kicker
  $fields['ns_article-field_ns_article_kicker'] = array(
    'field_name' => 'field_ns_article_kicker',
    'type_name' => 'ns_article',
    'display_settings' => array(
      'weight' => '-3',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 1,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_ns_article_kicker][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Kicker',
      'weight' => '-2',
      'description' => 'An optional text, displayed in capitalized letters in front of the lead text. Usually only one or a few words long.',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_ns_article_lead
  $fields['ns_article-field_ns_article_lead'] = array(
    'field_name' => 'field_ns_article_lead',
    'type_name' => 'ns_article',
    'display_settings' => array(
      'weight' => '-2',
      'parent' => '',
      'label' => array(
        'format' => 'hidden',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 1,
      ),
      '5' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'aside' => array(
        'format' => 'trimmed',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '1',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '10',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '2',
          '_error_element' => 'default_value_widget][field_ns_article_lead][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Lead',
      'weight' => '-1',
      'description' => 'A text displayed above the article body, usually displayed in emphasized style.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_ns_article_related
  $fields['ns_article-field_ns_article_related'] = array(
    'field_name' => 'field_ns_article_related',
    'type_name' => 'ns_article',
    'display_settings' => array(
      'weight' => 0,
      'parent' => '',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 1,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 1,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_article' => 'ns_article',
      'ns_blog' => 0,
      'ns_blog_post' => 0,
      'ns_contributor' => 0,
      'ns_fact' => 0,
      'ns_image' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_article_related][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Related Articles',
      'weight' => '5',
      'description' => 'Any articles entered here will appear in a sidebar list when viewing the current article.',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Body');
  t('Byline');
  t('Images');
  t('Kicker');
  t('Lead');
  t('Related Articles');

  return $fields;
}
