<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function ns_article_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => 1);
  }
  elseif ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function ns_article_node_info() {
  $items = array(
    'ns_article' => array(
      'name' => t('Article'),
      'module' => 'features',
      'description' => t('Articles are NodeStream\'s main content. They can contain many different types of content, which are described more in depth when you create the article.'),
      'has_title' => '1',
      'title_label' => t('Headline'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function ns_article_rules_defaults() {
  return array(
    'rules' => array(
      'ns_article_2' => array(
        '#type' => 'rule',
        '#set' => 'event_node_delete',
        '#label' => 'Clear Article cache when an article is deleted',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_article',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_article' => 'ns_article',
                'ns_contributor' => 'ns_contributor',
                'ns_image' => 'ns_image',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Deleted content is Article or Contributor or Image',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'node_view_panel_context_2:node_view' => 'node_view_panel_context_2:node_view',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'ns_article_1' => array(
        '#type' => 'rule',
        '#set' => 'event_node_update',
        '#label' => 'Clear the cache for article node when article is updated',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_article',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Updated content is Article or Contributor or Image',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'ns_article' => 'ns_article',
                'ns_contributor' => 'ns_contributor',
                'ns_image' => 'ns_image',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'node_view_panel_context_2:node_view' => 'node_view_panel_context_2:node_view',
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function ns_article_views_api() {
  return array(
    'api' => '3.0',
  );
}
