<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function ns_blog_comment_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_rules_defaults().
 */
function ns_blog_comment_rules_defaults() {
  return array(
    'rules' => array(
      'ns_blog_comment_1' => array(
        '#type' => 'rule',
        '#set' => 'event_comment_insert',
        '#label' => 'Clear Blog cache when a comment is created',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_blog_comment',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Commented content is Post',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'ns_blog_post' => 'ns_blog_post',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'node_view_panel_context_4:node_view' => 'node_view_panel_context_4:node_view',
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
        ),
        '#version' => 6003,
      ),
      'ns_blog_comment_2' => array(
        '#type' => 'rule',
        '#set' => 'event_comment_unpublish',
        '#label' => 'Clear Blog Cache when a comment is unpublished',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_blog_comment',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_blog_post' => 'ns_blog_post',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Commented content is Post',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'node_view_panel_context_4:node_view' => 'node_view_panel_context_4:node_view',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'ns_blog_comment_4' => array(
        '#type' => 'rule',
        '#set' => 'event_comment_delete',
        '#label' => 'Clear Blog Cache when a comment is removed',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_blog_comment',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Commented content is Post',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'ns_blog_post' => 'ns_blog_post',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'node_view_panel_context_4:node_view' => 'node_view_panel_context_4:node_view',
              ),
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#weight' => 0,
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}
