<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function ns_form_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function ns_form_node_info() {
  $items = array(
    'ns_form' => array(
      'name' => t('Form'),
      'module' => 'features',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function ns_form_rules_defaults() {
  return array(
    'rules' => array(
      'ns_form_2' => array(
        '#type' => 'rule',
        '#set' => 'event_node_update',
        '#label' => 'Clear Article cache when forms are updated',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_form',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_article' => 'ns_article',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Updated content is Article',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                'node_view_panel_context_2:node_view' => 'node_view_panel_context_2:node_view',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'ns_form_1' => array(
        '#type' => 'rule',
        '#set' => 'event_node_delete',
        '#label' => 'Clear Article Cache when a form is removed',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_form',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_form' => 'ns_form',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Deleted content is Form',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page variants',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_page_cache',
            '#settings' => array(
              'panel' => array(
                'site_template_panel_context_2:site_template' => 'site_template_panel_context_2:site_template',
                '12' => '12',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function ns_form_views_api() {
  return array(
    'api' => '3.0-alpha1',
  );
}
