<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function ns_layout_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => 1);
  }
  elseif ($module == "panels_mini" && $api == "panels_default") {
    return array("version" => 1);
  }
  elseif ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function ns_layout_node_info() {
  $items = array(
    'ns_layout_footer' => array(
      'name' => t('Footer Content'),
      'module' => 'features',
      'description' => t('This content will be displayed as a box with information in the footer.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function ns_layout_rules_defaults() {
  return array(
    'rules' => array(
      'rules_clear_footer_content_cache' => array(
        '#type' => 'rule',
        '#set' => 'event_node_presave',
        '#label' => 'Clear Footer Content Cache',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_layout',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_layout_footer' => 'ns_layout_footer',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Saved content is Footer Content',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'panel' => 'site_template_panel_context_2:site_template',
              'panes' => array(
                'new-8' => 'new-8',
              ),
            ),
            '#name' => 'cache_actions_action_clear_panels_pane_cache',
            '#info' => array(
              'label' => 'Clear the cache for panel page panes',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
                'panes' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'The pane to clear',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page panes',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
                'panes' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'The pane to clear',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_pane_cache',
            '#settings' => array(
              'panel' => 'site_template_panel_context_3:site_template',
              'panes' => array(
                'new-8' => 'new-8',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'rules_clear_footer_content_cache_delete' => array(
        '#type' => 'rule',
        '#set' => 'event_node_delete',
        '#label' => 'Clear Footer Content Cache delete',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'ns_layout',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'ns_layout_footer' => 'ns_layout_footer',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'Deleted content is Footer Content',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'Clear the cache for panel page panes',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
                'panes' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'The pane to clear',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_pane_cache',
            '#settings' => array(
              'panel' => 'site_template_panel_context_2:site_template',
              'panes' => array(
                'new-9' => 'new-9',
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Clear the cache for panel page panes',
              'arguments' => array(
                'panel' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'Specify the panel page you want to clear.',
                ),
                'panes' => array(
                  'type' => 'string',
                  'label' => 'Panel page',
                  'description' => 'The pane to clear',
                ),
              ),
              'module' => 'Cache Actions',
            ),
            '#name' => 'cache_actions_action_clear_panels_pane_cache',
            '#settings' => array(
              'panel' => 'site_template_panel_context_3:site_template',
              'panes' => array(
                '8' => '8',
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function ns_layout_views_api() {
  return array(
    'api' => '3.0-alpha1',
  );
}
