<?php

/**
 * Implementation of hook_content_default_fields().
 */
function ns_promo_content_default_fields() {
  $fields = array();

  // Exported field: field_ns_promo_article
  $fields['ns_promo-field_ns_promo_article'] = array(
    'field_name' => 'field_ns_promo_article',
    'type_name' => 'ns_promo',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '1',
    'multiple' => '0',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_article' => 'ns_article',
      'ns_blog' => 0,
      'ns_blog_post' => 0,
      'ns_contributor' => 0,
      'ns_fact' => 0,
      'ns_image' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'crossclone' => array(
      'coupling' => 1,
      'couple' => '0',
      'delete' => '1',
    ),
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_promo_article][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Article',
      'weight' => '1',
      'description' => 'Any articles entered here will appear in a sidebar list when viewing the current article.',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_ns_promo_image
  $fields['ns_promo-field_ns_promo_image'] = array(
    'field_name' => 'field_ns_promo_image',
    'type_name' => 'ns_promo',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '0',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'ns_image' => 'ns_image',
      'ns_article' => 0,
      'ns_blog' => 0,
      'ns_blog_post' => 0,
      'ns_contributor' => 0,
      'ns_fact' => 0,
      'ns_page' => 0,
      'poll' => 0,
      'ns_promo' => 0,
      'ns_video' => 0,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'crossclone' => array(
      'coupling' => 0,
      'couple' => '0',
      'delete' => '0',
    ),
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_ns_promo_image][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Image',
      'weight' => '5',
      'description' => 'If more than one image is added to the article, they will be displayed as a slideshow rather than a single static image.',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_ns_promo_kicker
  $fields['ns_promo-field_ns_promo_kicker'] = array(
    'field_name' => 'field_ns_promo_kicker',
    'type_name' => 'ns_promo',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_ns_promo_kicker][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Kicker',
      'weight' => '3',
      'description' => 'An optional text, displayed in capitalized letters in front of the lead text. Usually only one or a few words long.',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_ns_promo_lead
  $fields['ns_promo-field_ns_promo_lead'] = array(
    'field_name' => 'field_ns_promo_lead',
    'type_name' => 'ns_promo',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '1',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '10',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '2',
          '_error_element' => 'default_value_widget][field_ns_promo_lead][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Lead',
      'weight' => '4',
      'description' => 'A text displayed above the article body, usually displayed in emphasized style.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_ns_promo_style
  $fields['ns_promo-field_ns_promo_style'] = array(
    'field_name' => 'field_ns_promo_style',
    'type_name' => 'ns_promo',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '2' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '3' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'dynamic_formatters_preset',
    'required' => '1',
    'multiple' => '0',
    'module' => 'dynamic_formatters',
    'active' => '1',
    'widget' => array(
      'default_value' => array(
        '0' => array(
          'preset' => 'ns_top_attachment_large_alternating',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Style',
      'weight' => '7',
      'description' => 'This setting only takes place if the current selected promo has children, i.e other promos that belongs to the same promo group. In that case this setting changes the layout of the parent and the children promos in different ways.',
      'type' => 'dynamic_formatters_preset_select',
      'module' => 'dynamic_formatters',
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Article');
  t('Image');
  t('Kicker');
  t('Lead');
  t('Style');

  return $fields;
}
