Drupal.behaviors.addConfirms = function() {
  // Add a confirm javascript popup in order to prevent accidental cloning.
  $('.view-ns-article-noderef a.crossclone-clone-js').unbind();
  $('.view-ns-article-noderef a.crossclone-clone-js').bind('click', cloneConfirm);
  
  $('.view-ns-article-noderef .views-field-nothing a').click(function() {
    return confirm(Drupal.t('Do you really want to edit existing content? You should clone the content if this is a new article.'));
  });
  
  function cloneConfirm() {
     if (confirm(Drupal.t('Are you sure you want to clone this content?' +
       ' A new copy of the content will be created.' +
       ' This is desirable if you want to create a new article.'))) {
       cloneNode(this);
    }
    return false;
  }
  
  function cloneNode(link) {
    var href = $(link).attr('href');
    // This is the base.
    var ajax_path = Drupal.settings.views.ajax_path;
    var viewData = {'js': 1};
    var settings = Drupal.settings.views.ajaxViews[0];
    var view = '.view-dom-id-' + settings.view_dom_id;
    // Construct an object using the settings defaults and then overriding
    // with data specific to the link.
    $.extend(
      viewData,
      Drupal.Views.parseQueryString($(link).attr('href')),
      // Extract argument data from the URL.
      Drupal.Views.parseViewArgs($(link).attr('href'), settings.view_base_path),
      // Settings must be used last to avoid sending url aliases to the server.
      settings
    );
    $.extend(viewData, Drupal.Views.parseViewArgs($(link).attr('href'), settings.view_base_path));
    $(link).addClass('views-throbbing');
    $.get(href, function(data) {
      $.ajax({
        url: ajax_path,
        type: 'GET',
        data: viewData,
        dataType: 'json',
        success: function(response) {
          Drupal.Views.Ajax.ajaxViewResponse(view, response);
        }});
    });
    return false;
  }
}